clear all
close all


dt= 1;
 t = 0:dt:5000; %in seconds
 
 Qin = 10; % in cubic meters per second
 
 r_b = 10; %in meters
 r_h = .5; %in meters
 g = 9.8; % in meters/sec2
 
 r_ratio = (r_h^2)/(r_b^2);
 
rate_in = Qin/(pi*r_b^2);
 
 H_save = zeros(length(t),1);
%  rate_in_save = zeros(length(t),1);
%  rate_out_save = zeros(length(t),1);
 
  H = 0;

 for i = 1:length(t)
 
     
     
 rate_out = sqrt(2*g*H) *r_ratio;
     
  
 dhdt = rate_in - rate_out;
 
 H = H + dhdt;    
     
 H_save(i) = H;

 end
 
 figure (1)
%  subplot(3,1,1)
  line(t/3600,H_save,'Linewidth', 2)
   set(gca, 'FontSize', 18)
   xlim([0 1.2])
  xlabel('Time (hrs)')
  ylabel ('Height of water in the tank (m)')
  set(gca, 'FontSize', 18)
%  subplot(3,1,2)
%  plot(rate_in_save)
%  subplot(3,1,3)
%  plot(rate_out_save)
 
 
 
 
 